RosettaApi - interface

export
interface

  RosettaApiInterface

### Hierarchy

- RosettaApiInterface

### Implemented by

- RosettaApi

## Index

### Methods

- rosettaAccountBalance
- rosettaAccountBalanceRaw
- rosettaBlock
- rosettaBlockRaw
- rosettaBlockTransaction
- rosettaBlockTransactionRaw
- rosettaConstructionCombine
- rosettaConstructionCombineRaw
- rosettaConstructionDerive
- rosettaConstructionDeriveRaw
- rosettaConstructionHash
- rosettaConstructionHashRaw
- rosettaConstructionMetadata
- rosettaConstructionMetadataRaw
- rosettaConstructionParse
- rosettaConstructionParseRaw
- rosettaConstructionPayloads
- rosettaConstructionPayloadsRaw
- rosettaConstructionPreprocess
- rosettaConstructionPreprocessRaw
- rosettaConstructionSubmit
- rosettaConstructionSubmitRaw
- rosettaMempool
- rosettaMempoolRaw
- rosettaMempoolTransaction
- rosettaMempoolTransactionRaw
- rosettaNetworkList
- rosettaNetworkListRaw
- rosettaNetworkOptions
- rosettaNetworkOptionsRaw
- rosettaNetworkStatus
- rosettaNetworkStatusRaw

## Methods

### rosettaAccountBalance

- rosettaAccountBalance(requestParameters: RosettaAccountBalanceOperationRequest, initOverrides?: RequestInit): Promise< RosettaAccountBalanceResponse >

- - Defined in src/generated/apis/RosettaApi.ts:194

  An AccountBalanceRequest is utilized to make a balance request on the /account/balance endpoint. If the block_identifier is populated, a historical balance query should be performed. Get an Account Balance

  #### Parameters

  - ##### requestParameters: RosettaAccountBalanceOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaAccountBalanceResponse >

### rosettaAccountBalanceRaw

- rosettaAccountBalanceRaw(requestParameters: RosettaAccountBalanceOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaAccountBalanceResponse >>

- - Defined in src/generated/apis/RosettaApi.ts:188

  An AccountBalanceRequest is utilized to make a balance request on the /account/balance endpoint. If the block_identifier is populated, a historical balance query should be performed.

  summary

    Get an Account Balance

  throws

    {RequiredError}

  memberof

    RosettaApiInterface

  #### Parameters

  - ##### requestParameters: RosettaAccountBalanceOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaAccountBalanceResponse >>

### rosettaBlock

- rosettaBlock(requestParameters: RosettaBlockOperationRequest, initOverrides?: RequestInit): Promise< RosettaBlockResponse >

- - Defined in src/generated/apis/RosettaApi.ts:210

  A BlockRequest is utilized to make a block request on the /block endpoint. Get a Block

  #### Parameters

  - ##### requestParameters: RosettaBlockOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaBlockResponse >

### rosettaBlockRaw

- rosettaBlockRaw(requestParameters: RosettaBlockOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaBlockResponse >>

- - Defined in src/generated/apis/RosettaApi.ts:204

  A BlockRequest is utilized to make a block request on the /block endpoint.

  summary

    Get a Block

  throws

    {RequiredError}

  memberof

    RosettaApiInterface

  #### Parameters

  - ##### requestParameters: RosettaBlockOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaBlockResponse >>

### rosettaBlockTransaction

- rosettaBlockTransaction(requestParameters: RosettaBlockTransactionOperationRequest, initOverrides?: RequestInit): Promise< RosettaBlockTransactionResponse >

- - Defined in src/generated/apis/RosettaApi.ts:226

  A BlockTransactionRequest is used to fetch a Transaction included in a block that is not returned in a BlockResponse. Get a Block Transaction

  #### Parameters

  - ##### requestParameters: RosettaBlockTransactionOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaBlockTransactionResponse >

### rosettaBlockTransactionRaw

- rosettaBlockTransactionRaw(requestParameters: RosettaBlockTransactionOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaBlockTransactionResponse >>

- - Defined in src/generated/apis/RosettaApi.ts:220

  A BlockTransactionRequest is used to fetch a Transaction included in a block that is not returned in a BlockResponse.

  summary

    Get a Block Transaction

  throws

    {RequiredError}

  memberof

    RosettaApiInterface

  #### Parameters

  - ##### requestParameters: RosettaBlockTransactionOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaBlockTransactionResponse >>

### rosettaConstructionCombine

- rosettaConstructionCombine(requestParameters: RosettaConstructionCombineOperationRequest, initOverrides?: RequestInit): Promise< RosettaConstructionCombineResponse >

- - Defined in src/generated/apis/RosettaApi.ts:242

  Take unsigned transaction and signature, combine both and return signed transaction Create Network Transaction from Signatures

  #### Parameters

  - ##### requestParameters: RosettaConstructionCombineOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaConstructionCombineResponse >

### rosettaConstructionCombineRaw

- rosettaConstructionCombineRaw(requestParameters: RosettaConstructionCombineOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaConstructionCombineResponse >>

- - Defined in src/generated/apis/RosettaApi.ts:236

  Take unsigned transaction and signature, combine both and return signed transaction

  summary

    Create Network Transaction from Signatures

  throws

    {RequiredError}

  memberof

    RosettaApiInterface

  #### Parameters

  - ##### requestParameters: RosettaConstructionCombineOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaConstructionCombineResponse >>

### rosettaConstructionDerive

- rosettaConstructionDerive(requestParameters: RosettaConstructionDeriveOperationRequest, initOverrides?: RequestInit): Promise< RosettaConstructionDeriveResponse >

- - Defined in src/generated/apis/RosettaApi.ts:258

  TODO Derive an AccountIdentifier from a PublicKey

  #### Parameters

  - ##### requestParameters: RosettaConstructionDeriveOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaConstructionDeriveResponse >

### rosettaConstructionDeriveRaw

- rosettaConstructionDeriveRaw(requestParameters: RosettaConstructionDeriveOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaConstructionDeriveResponse >>

- - Defined in src/generated/apis/RosettaApi.ts:252

  TODO

  summary

    Derive an AccountIdentifier from a PublicKey

  throws

    {RequiredError}

  memberof

    RosettaApiInterface

  #### Parameters

  - ##### requestParameters: RosettaConstructionDeriveOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaConstructionDeriveResponse >>

### rosettaConstructionHash

- rosettaConstructionHash(requestParameters: RosettaConstructionHashOperationRequest, initOverrides?: RequestInit): Promise< RosettaConstructionHashResponse >

- - Defined in src/generated/apis/RosettaApi.ts:274

  TODO Get the Hash of a Signed Transaction

  #### Parameters

  - ##### requestParameters: RosettaConstructionHashOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaConstructionHashResponse >

### rosettaConstructionHashRaw

- rosettaConstructionHashRaw(requestParameters: RosettaConstructionHashOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaConstructionHashResponse >>

- - Defined in src/generated/apis/RosettaApi.ts:268

  TODO

  summary

    Get the Hash of a Signed Transaction

  throws

    {RequiredError}

  memberof

    RosettaApiInterface

  #### Parameters

  - ##### requestParameters: RosettaConstructionHashOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaConstructionHashResponse >>

### rosettaConstructionMetadata

- rosettaConstructionMetadata(requestParameters: RosettaConstructionMetadataOperationRequest, initOverrides?: RequestInit): Promise< RosettaConstructionMetadataResponse >

- - Defined in src/generated/apis/RosettaApi.ts:290

  TODO Get Metadata for Transaction Construction

  #### Parameters

  - ##### requestParameters: RosettaConstructionMetadataOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaConstructionMetadataResponse >

### rosettaConstructionMetadataRaw

- rosettaConstructionMetadataRaw(requestParameters: RosettaConstructionMetadataOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaConstructionMetadataResponse >>

- - Defined in src/generated/apis/RosettaApi.ts:284

  TODO

  summary

    Get Metadata for Transaction Construction

  throws

    {RequiredError}

  memberof

    RosettaApiInterface

  #### Parameters

  - ##### requestParameters: RosettaConstructionMetadataOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaConstructionMetadataResponse >>

### rosettaConstructionParse

- rosettaConstructionParse(requestParameters: RosettaConstructionParseOperationRequest, initOverrides?: RequestInit): Promise< RosettaConstructionParseResponse >

- - Defined in src/generated/apis/RosettaApi.ts:306

  TODO Parse a Transaction

  #### Parameters

  - ##### requestParameters: RosettaConstructionParseOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaConstructionParseResponse >

### rosettaConstructionParseRaw

- rosettaConstructionParseRaw(requestParameters: RosettaConstructionParseOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaConstructionParseResponse >>

- - Defined in src/generated/apis/RosettaApi.ts:300

  TODO

  summary

    Parse a Transaction

  throws

    {RequiredError}

  memberof

    RosettaApiInterface

  #### Parameters

  - ##### requestParameters: RosettaConstructionParseOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaConstructionParseResponse >>

### rosettaConstructionPayloads

- rosettaConstructionPayloads(requestParameters: RosettaConstructionPayloadsOperationRequest, initOverrides?: RequestInit): Promise< RosettaConstructionPayloadResponse >

- - Defined in src/generated/apis/RosettaApi.ts:322

  Generate and unsigned transaction from operations and metadata Generate an Unsigned Transaction and Signing Payloads

  #### Parameters

  - ##### requestParameters: RosettaConstructionPayloadsOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaConstructionPayloadResponse >

### rosettaConstructionPayloadsRaw

- rosettaConstructionPayloadsRaw(requestParameters: RosettaConstructionPayloadsOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaConstructionPayloadResponse >>

- - Defined in src/generated/apis/RosettaApi.ts:316

  Generate and unsigned transaction from operations and metadata

  summary

    Generate an Unsigned Transaction and Signing Payloads

  throws

    {RequiredError}

  memberof

    RosettaApiInterface

  #### Parameters

  - ##### requestParameters: RosettaConstructionPayloadsOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaConstructionPayloadResponse >>

### rosettaConstructionPreprocess

- rosettaConstructionPreprocess(requestParameters: RosettaConstructionPreprocessOperationRequest, initOverrides?: RequestInit): Promise< RosettaConstructionPreprocessResponse >

- - Defined in src/generated/apis/RosettaApi.ts:338

  TODO Create a Request to Fetch Metadata

  #### Parameters

  - ##### requestParameters: RosettaConstructionPreprocessOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaConstructionPreprocessResponse >

### rosettaConstructionPreprocessRaw

- rosettaConstructionPreprocessRaw(requestParameters: RosettaConstructionPreprocessOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaConstructionPreprocessResponse >>

- - Defined in src/generated/apis/RosettaApi.ts:332

  TODO

  summary

    Create a Request to Fetch Metadata

  throws

    {RequiredError}

  memberof

    RosettaApiInterface

  #### Parameters

  - ##### requestParameters: RosettaConstructionPreprocessOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaConstructionPreprocessResponse >>

### rosettaConstructionSubmit

- rosettaConstructionSubmit(requestParameters: RosettaConstructionSubmitOperationRequest, initOverrides?: RequestInit): Promise< RosettaConstructionSubmitResponse >

- - Defined in src/generated/apis/RosettaApi.ts:354

  Submit a pre-signed transaction to the node. Submit a Signed Transaction

  #### Parameters

  - ##### requestParameters: RosettaConstructionSubmitOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaConstructionSubmitResponse >

### rosettaConstructionSubmitRaw

- rosettaConstructionSubmitRaw(requestParameters: RosettaConstructionSubmitOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaConstructionSubmitResponse >>

- - Defined in src/generated/apis/RosettaApi.ts:348

  Submit a pre-signed transaction to the node.

  summary

    Submit a Signed Transaction

  throws

    {RequiredError}

  memberof

    RosettaApiInterface

  #### Parameters

  - ##### requestParameters: RosettaConstructionSubmitOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaConstructionSubmitResponse >>

### rosettaMempool

- rosettaMempool(requestParameters: RosettaMempoolOperationRequest, initOverrides?: RequestInit): Promise< RosettaMempoolResponse >

- - Defined in src/generated/apis/RosettaApi.ts:370

  Get all Transaction Identifiers in the mempool. Get All Mempool Transactions

  #### Parameters

  - ##### requestParameters: RosettaMempoolOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaMempoolResponse >

### rosettaMempoolRaw

- rosettaMempoolRaw(requestParameters: RosettaMempoolOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaMempoolResponse >>

- - Defined in src/generated/apis/RosettaApi.ts:364

  Get all Transaction Identifiers in the mempool.

  summary

    Get All Mempool Transactions

  throws

    {RequiredError}

  memberof

    RosettaApiInterface

  #### Parameters

  - ##### requestParameters: RosettaMempoolOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaMempoolResponse >>

### rosettaMempoolTransaction

- rosettaMempoolTransaction(requestParameters: RosettaMempoolTransactionOperationRequest, initOverrides?: RequestInit): Promise< RosettaMempoolTransactionResponse >

- - Defined in src/generated/apis/RosettaApi.ts:386

  A MempoolTransactionRequest is utilized to retrieve a transaction from the mempool. Get a Mempool Transaction

  #### Parameters

  - ##### requestParameters: RosettaMempoolTransactionOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaMempoolTransactionResponse >

### rosettaMempoolTransactionRaw

- rosettaMempoolTransactionRaw(requestParameters: RosettaMempoolTransactionOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaMempoolTransactionResponse >>

- - Defined in src/generated/apis/RosettaApi.ts:380

  A MempoolTransactionRequest is utilized to retrieve a transaction from the mempool.

  summary

    Get a Mempool Transaction

  throws

    {RequiredError}

  memberof

    RosettaApiInterface

  #### Parameters

  - ##### requestParameters: RosettaMempoolTransactionOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaMempoolTransactionResponse >>

### rosettaNetworkList

- rosettaNetworkList(initOverrides?: RequestInit): Promise< RosettaNetworkListResponse >

- - Defined in src/generated/apis/RosettaApi.ts:401

  This endpoint returns a list of NetworkIdentifiers that the Rosetta server supports. Get List of Available Networks

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaNetworkListResponse >

### rosettaNetworkListRaw

- rosettaNetworkListRaw(initOverrides?: RequestInit): Promise< ApiResponse < RosettaNetworkListResponse >>

- - Defined in src/generated/apis/RosettaApi.ts:395

  This endpoint returns a list of NetworkIdentifiers that the Rosetta server supports.

  summary

    Get List of Available Networks

  throws

    {RequiredError}

  memberof

    RosettaApiInterface

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaNetworkListResponse >>

### rosettaNetworkOptions

- rosettaNetworkOptions(requestParameters: RosettaNetworkOptionsRequest, initOverrides?: RequestInit): Promise< RosettaNetworkOptionsResponse >

- - Defined in src/generated/apis/RosettaApi.ts:417

  This endpoint returns the version information and allowed network-specific types for a NetworkIdentifier. Any NetworkIdentifier returned by /network/list should be accessible here. Because options are retrievable in the context of a NetworkIdentifier, it is possible to define unique options for each network. Get Network Options

  #### Parameters

  - ##### requestParameters: RosettaNetworkOptionsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaNetworkOptionsResponse >

### rosettaNetworkOptionsRaw

- rosettaNetworkOptionsRaw(requestParameters: RosettaNetworkOptionsRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaNetworkOptionsResponse >>

- - Defined in src/generated/apis/RosettaApi.ts:411

  This endpoint returns the version information and allowed network-specific types for a NetworkIdentifier. Any NetworkIdentifier returned by /network/list should be accessible here. Because options are retrievable in the context of a NetworkIdentifier, it is possible to define unique options for each network.

  summary

    Get Network Options

  throws

    {RequiredError}

  memberof

    RosettaApiInterface

  #### Parameters

  - ##### requestParameters: RosettaNetworkOptionsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaNetworkOptionsResponse >>

### rosettaNetworkStatus

- rosettaNetworkStatus(requestParameters: RosettaNetworkStatusRequest, initOverrides?: RequestInit): Promise<{}>

- - Defined in src/generated/apis/RosettaApi.ts:433

  This endpoint returns the current status of the network requested. Any NetworkIdentifier returned by /network/list should be accessible here. Get Network Status

  #### Parameters

  - ##### requestParameters: RosettaNetworkStatusRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<{}>

### rosettaNetworkStatusRaw

- rosettaNetworkStatusRaw(requestParameters: RosettaNetworkStatusRequest, initOverrides?: RequestInit): Promise< ApiResponse <{}>>

- - Defined in src/generated/apis/RosettaApi.ts:427

  This endpoint returns the current status of the network requested. Any NetworkIdentifier returned by /network/list should be accessible here.

  summary

    Get Network Status

  throws

    {RequiredError}

  memberof

    RosettaApiInterface

  #### Parameters

  - ##### requestParameters: RosettaNetworkStatusRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <{}>>

Generated using TypeDoc